CVE-2022-3109

NameCVE-2022-3109
DescriptionAn issue was discovered in the FFmpeg package, where vp3_decode_frame in libavcodec/vp3.c lacks check of the return value of av_malloc() and will cause a null pointer dereference, impacting availability.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3454-1, DSA-5394-1, ELA-886-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ffmpeg (PTS)stretch (security)7:3.2.18-0+deb9u1vulnerable
stretch (lts), stretch7:3.2.19-0+deb9u4fixed
buster7:4.1.9-0+deb10u1vulnerable
buster (security)7:4.1.11-0+deb10u1fixed
bullseye7:4.3.6-0+deb11u1fixed
bullseye (security)7:4.3.7-0+deb11u1fixed
bookworm (security), bookworm7:5.1.5-0+deb12u1fixed
trixie7:6.1.1-4fixed
sid7:6.1.1-5fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ffmpegsourcestretch7:3.2.19-0+deb9u2ELA-886-1
ffmpegsourcebuster7:4.1.11-0+deb10u1DLA-3454-1
ffmpegsourcebullseye7:4.3.6-0+deb11u1DSA-5394-1
ffmpegsource(unstable)7:5.1-1

Notes

https://github.com/FFmpeg/FFmpeg/commit/656cb0450aeb73b25d7d26980af342b37ac4c568 (n5.1)
https://github.com/FFmpeg/FFmpeg/commit/7694a44baaaa4786995590a8ba2b16acd8ef8177 (n4.3.6)
https://github.com/FFmpeg/FFmpeg/commit/51efa68ec0b4f42b5b124b8987fb68f60a929c4f (n4.1.11)

Search for package or bug name: Reporting problems